#pragma once
#include "resource.h"
#include "afxwin.h"

// demoJoinConfByLinkDlg 对话框

class demoJoinConfByLinkDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoJoinConfByLinkDlg)

public:
    demoJoinConfByLinkDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoJoinConfByLinkDlg();

// 对话框数据
    enum { IDD = IDD_JOIN_CONF_BY_LINK_DIALOG };

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()
private:
    CEdit m_editRandom;
    CEdit m_editUrl;
    CEdit m_editName;
    CEdit m_aliasCN;
    CEdit m_aliasEN;
public:
    afx_msg void OnBnClickedButtonJoin();
    afx_msg void OnBnClickedButtonCancel();
};
